Setting Up Your Computer

You should be able to complete your course work if your computer is running a recent version of Windows, Mac OS, or Linux. Check the following to ensure that your computer has the necessary software and software versions.


Internet Service Provider (ISP)

An Internet Service Provider is a company that provides Internet access for a fee (for example your telephone, cable or satellite service). There are many ISPs available. If you are using a phone service, be sure that your connection uses a local phone number so that you will not encounter long distance charges. The cost of your Internet connection is not covered by course fees. NOTE: If you are using a phone service, consider DSL service which will give you a much faster connection than a 56k baud modem.


Back to top


Compatible Web Browsers

Not all Web browsers meet the standards required for use with Moodle. The following browsers/versions should all be compatible:

  • Internet Explorer 7.0 or 8.0
  • Mozilla Firefox 2.0 or 3.0
  • Safari 2.0 or 3.0

IMPORTANT: DO NOT USE THE FOLLOWING BROWSERS WITH MOODLE:

  • Earlier versions of the browsers listed above
  • Google Chrome

Pop-ups:  If your browser is configured not to allow pop-ups, you can make an exception for moodle.abtech.edu, or else allow pop-ups

Cookies: Choose a browser security level that allows cookies (a setting of "medium" should work fine)

Javascript: To add extra features to certain Moodle pages (like Quizzes and Assignments) your browser will use Javascript. In almost all cases, this plug-in is already installed in your browser. However, students can encounter issues when Javascript is either outdated or disabled. If this is the case, you may have difficulty submitting assignments or answering certain types of quiz questions.
 
ALL students should be sure that Javascript is up-to-date and enabled
 
To be sure Javascript is enabled:
 
http://www.google.com/support/bin/answer.py?answer=23852
 
To update Windows and your browser with the latest Java plug-in (Mac computers use Software Update):
 
http://java.com/en/download/manual.jsp

Users must enable the Java console and the JIT compiler for virtual machine

Required plugins

Your courses may include documents and multimedia in the following formats. Click each item to see if your computer already has the required plugin. If not, then click the link to download and install the plugin. You may wish to do this anyway to install the latest version.


Back to top


Standard office application software

MS Office 2003, 2007, 2010 or a current version of Open Office capable of reading current MS Office documents.

Back to top


Special software for specific courses

Any special requirements will be identified by your instructor.

Back to top


TV/VCR/DVD Player (only if your course uses videotapes or DVD's)

This is unlikely - your instructor will provide details.


Back to top

My A-B Tech
I want to…